Subject: Re: [bug-diffutils] bug#31370: Can not make Diffutils on Debian

From: Jim Meyering <[email-masked]>
Date: Sun, 6 May 2018 12:45:39 -0700

On Sat, May 5, 2018 at 1:40 AM, ateymuri <[email-masked]> wrote:
> I am getting this error while running make in the source directory:
>
> Making all in lib
> make[1]: Entering directory '/home/amir/Downloads/diffutils-3.2/lib'
> make  all-recursive
> make[2]: Entering directory '/home/amir/Downloads/diffutils-3.2/lib'
> make[3]: Entering directory '/home/amir/Downloads/diffutils-3.2/lib'
>   CC       exclude.o
> In file included from exclude.c:31:0:
> ./stdio.h:1012:1: error: 'gets' undeclared here (not in a function)
>  _GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");

You are attempting to build diffutils-3.2 from source, yet that
version is more than 6 years old. Please use the latest:
diffutils-3.6.